Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 840508 - dev-ml/ppx_deriving_yojson-3.6.1 - make inconsistent assumptions over interface Stdppx
Summary: dev-ml/ppx_deriving_yojson-3.6.1 - make inconsistent assumptions over interfa...
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal with 1 vote (vote)
Assignee: Gentoo Team for the ML programming language family
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2022-04-24 07:01 UTC by Toralf Förster
Modified: 2022-10-19 10:49 UTC (History)
0 users

See Also:
Package list:
Runtime testing required: ---


Attachments
emerge-info.txt (emerge-info.txt,18.55 KB, text/plain)
2022-04-24 07:01 UTC, Toralf Förster
Details
dev-ml:ppx_deriving_yojson-3.6.1:20220423-213609.log (dev-ml:ppx_deriving_yojson-3.6.1:20220423-213609.log,2.26 KB, text/plain)
2022-04-24 07:01 UTC, Toralf Förster
Details
emerge-history.txt (emerge-history.txt,111.22 KB, text/plain)
2022-04-24 07:01 UTC, Toralf Förster
Details
environment (environment,26.02 KB, text/plain)
2022-04-24 07:01 UTC, Toralf Förster
Details
etc.portage.tar.bz2 (etc.portage.tar.bz2,8.16 KB, application/x-bzip)
2022-04-24 07:01 UTC, Toralf Förster
Details
temp.tar.bz2 (temp.tar.bz2,8.91 KB, application/x-bzip)
2022-04-24 07:01 UTC, Toralf Förster
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Toralf Förster gentoo-dev 2022-04-24 07:01:25 UTC
 * Building ...
File "src/ppx_deriving_yojson.ml", line 1:
Error: The files /usr/lib64/ocaml/ppxlib/ppxlib.cmi
       and /usr/lib64/ocaml/ppx_deriving/api/ppx_deriving.cmi
       make inconsistent assumptions over interface Stdppx
 [ !! ]              
 * ERROR: dev-ml/ppx_deriving_yojson-3.6.1::gentoo failed (compile phase):

  -------------------------------------------------------------------

  This is an unstable amd64 chroot image at a tinderbox (==build bot)
  name: 17.1_desktop_gnome-j4-20220422-194653

  -------------------------------------------------------------------

gcc-config -l:
 [1] x86_64-pc-linux-gnu-11.3.0 *
clang/llvm (if any):
/usr/lib/llvm/14
14.0.1
Python 3.9.12
Available Ruby profiles:
  [1]   ruby26 (with Rubygems)
  [2]   ruby27 (with Rubygems)
  [3]   ruby31 (with Rubygems) *
Available Rust versions:
  [1]   rust-1.60.0 *
The following VMs are available for generation-2:
*)	Eclipse Temurin JDK 11.0.14_p9 [openjdk-bin-11]
Available Java Virtual Machines:
  [1]   openjdk-bin-11  system-vm

The Glorious Glasgow Haskell Compilation System, version 8.10.4
php cli:

  HEAD of ::gentoo
commit cda44834b9a4b71395560afb4d7b5ddf1feb2d0d
Author: Repository mirror & CI <repomirrorci@gentoo.org>
Date:   Sat Apr 23 20:19:24 2022 +0000

    2022-04-23 20:19:23 UTC

emerge -qpvO dev-ml/ppx_deriving_yojson
[ebuild   R   ] dev-ml/ppx_deriving_yojson-3.6.1  USE="ocamlopt -test"
Comment 1 Toralf Förster gentoo-dev 2022-04-24 07:01:27 UTC
Created attachment 773812 [details]
emerge-info.txt
Comment 2 Toralf Förster gentoo-dev 2022-04-24 07:01:27 UTC
Created attachment 773815 [details]
dev-ml:ppx_deriving_yojson-3.6.1:20220423-213609.log
Comment 3 Toralf Förster gentoo-dev 2022-04-24 07:01:29 UTC
Created attachment 773818 [details]
emerge-history.txt
Comment 4 Toralf Förster gentoo-dev 2022-04-24 07:01:30 UTC
Created attachment 773821 [details]
environment
Comment 5 Toralf Förster gentoo-dev 2022-04-24 07:01:31 UTC
Created attachment 773824 [details]
etc.portage.tar.bz2
Comment 6 Toralf Förster gentoo-dev 2022-04-24 07:01:32 UTC
Created attachment 773827 [details]
temp.tar.bz2
Comment 7 Tupone Alfredo gentoo-dev 2022-10-18 08:42:26 UTC
Maybe I'm wrong, but I guess you did not use -D (or --deep) while emerging.

It is not so ?
Comment 8 Toralf Förster gentoo-dev 2022-10-18 09:12:32 UTC
(In reply to Tupone Alfredo from comment #7)
> Maybe I'm wrong, but I guess you did not use -D (or --deep) while emerging.
> 
> It is not so ?

-deep is active (pls see https://bugs.gentoo.org/attachment.cgi?id=773824)
Comment 9 Larry the Git Cow gentoo-dev 2022-10-19 10:49:09 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=e0f0fa64773c7c953f8d950e25a729f27aedf2a5

commit e0f0fa64773c7c953f8d950e25a729f27aedf2a5
Author:     Alfredo Tupone <tupone@gentoo.org>
AuthorDate: 2022-10-19 10:48:13 +0000
Commit:     Alfredo Tupone <tupone@gentoo.org>
CommitDate: 2022-10-19 10:48:56 +0000

    dev-ml/ppx_deriving: adj deps
    
    Closes: https://bugs.gentoo.org/840508
    
    Signed-off-by: Alfredo Tupone <tupone@gentoo.org>

 dev-ml/ppx_deriving/ppx_deriving-5.2.1.ebuild | 1 +
 1 file changed, 1 insertion(+)